Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface WseeRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WseeRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Encapsulates runtime information about a particular Web Service.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`WseePolicyRuntimeMBean` | `getPolicyRuntime()` Specifies the list of WS-Policy files that are associated with this Web Service.
`WseePortRuntimeMBean[]` | `getPorts()` Specifies the list of ports that are associated with this Web Service.
`String` | `getServiceName()` Specifies the name of this service.
`String` | `getURI()` Specifies the URI of this Web Service.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPolicyRuntime

    public WseePolicyRuntimeMBean getPolicyRuntime()

  Specifies the list of WS-Policy files that are associated with this Web Service.

### getPorts

    public WseePortRuntimeMBean[] getPorts()

  Specifies the list of ports that are associated with this Web Service.

### getServiceName

    public String getServiceName()

  Specifies the name of this service.

  This attribute corresponds to the "name" attribute of the "service" element in the WSDL that describes the Web Service. It is specified at development time using the serviceName attribute of the @WebService JWS annotation.

### getURI

    public String getURI()

  Specifies the URI of this Web Service.

  This attribute corresponds to the final part of the endpoint address in the WSDL that describes the Web Services. It is specified at development time using the contextPath and serviceURI attributes of the

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD